Markets
Get market price history
Returns OHLC price history data for one or more markets. Supports configurable time intervals and includes bid/ask spread data.
GET
/
v1
/
api
/
markets
/
price-history
Get market price history
curl --request GET \
--url https://api.dotprediction.io/v1/api/markets/price-history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.dotprediction.io/v1/api/markets/price-history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.dotprediction.io/v1/api/markets/price-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"timestamp": 123,
"platform": "<string>",
"marketId": "<string>",
"volume": 123,
"openInterest": 123,
"outcomeId": "<string>",
"price": {
"open": 123,
"high": 123,
"low": 123,
"close": 123
},
"bidAsk": {
"bid": {
"open": 123,
"high": 123,
"low": 123,
"close": 123
},
"ask": {
"open": 123,
"high": 123,
"low": 123,
"close": 123
}
}
}
],
"meta": {
"total_points": 123,
"platforms": [
"<string>"
],
"time_range": {
"start": 123,
"end": 123
},
"interval": "<string>",
"request_time": 123,
"cache_hit": true,
"data_freshness": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}{
"error": {
"status": 123,
"message": "<string>",
"resolution": "<string>",
"error_text": "<string>"
}
}Authorizations
API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.
Query Parameters
Comma-separated list of market IDs (maximum 10).
Start timestamp (Unix epoch).
End timestamp (Unix epoch).
The prediction market platform to query.
Available options:
kalshi, polymarket, limitless Candlestick interval in minutes. 1 = 1 minute, 60 = 1 hour, 1440 = 1 day.
Available options:
1, 60, 1440 Maximum number of data points to return (max 5000).
Required range:
x <= 5000⌘I
Get market price history
